Name:           perl-IO-Zlib
Version:        1.04
Release: 	4.2
Summary:        Perl IO:: style interface to Compress::Zlib

Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/IO-Zlib/
Source0:      http://www.cpan.org/authors/id/T/TO/TOMHUGHES/IO-Zlib-1.04.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl >= 1:5.6.1
BuildRequires:  perl(Compress::Zlib)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(Compress::Zlib)

%description
This modules provides an IO:: style interface to the Compress::Zlib
package. The main advantage is that you can use an IO::Zlib object in
much the same way as an IO::File object so you can have common code
that doesn't know which sort of file it is using.


%prep
%setup -q -n IO-Zlib-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check || :
mv t/0signature.t t/0signature.t.skip
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog README
%{perl_vendorlib}/IO/
%{_mandir}/man3/*.3*


%changelog
* Fri Feb 03 2006 Jason Vas Dias <jvdias@redhat.com> - 1.04-4.2
- rebuild for new perl-5.8.8

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcc

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcj

* Fri Apr  2 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.04-3
- Explicit requirement: Compress::Zlib.

* Fri Apr  1 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.04-2
- Update for Fedora Core 4.

* Sun Oct  3 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.04-0.fdr.1
- Update to 1.04.

* Tue Aug 24 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.03-0.fdr.2
- Signature test problem take 2: removed the test file instead (bug 2012).

* Tue Aug 24 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.03-0.fdr.1
- Update to 1.03.
- Relocation of debug*.list files during the tests in order to avoid problems
  with Module::Signature (files not listed in MANIFEST).

* Mon May 10 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.01-0.fdr.5
- Avoid creation of the perllocal.pod file (make pure_install).

* Thu Apr 29 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.01-0.fdr.4
- perl -> %%{__perl} in %%build (bug 1525).

* Sun Apr 25 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.01-0.fdr.3
- Require perl(:MODULE_COMPAT_*).
- Reduce directory ownership bloat.

* Tue Oct 21 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.01-0.fdr.2
- BuildArch: noarch.

* Thu Sep  4 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.01-0.fdr.1
- First build.
